package io.gmss.fiscad.interfaces.infocad.parametre;

import io.gmss.fiscad.entities.infocad.parametre.NatureDomaine;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface NatureDomaineService {

    NatureDomaine createNatureDomaine(NatureDomaine natureDomaine) throws BadRequestException;

    NatureDomaine updateNatureDomaine(Long id, NatureDomaine natureDomaine) throws NotFoundException;

    void deleteNatureDomaine(Long id) throws NotFoundException;

    Page<NatureDomaine> getNatureDomaineList(Pageable pageable);

    List<NatureDomaine> getNatureDomaineList();

    Optional<NatureDomaine> getNatureDomaineById(Long id);
}
